FOX16_Gui Class Reference

`#include <fox16_gui.hpp>`

Inheritance diagram for FOX16_Gui:

## Data Structures

class | WinScope

## Public Types

enum | { ID_MAINWINDOW =1 }
typedef std::list< WinScope * > | WinScopePtrList

## Public Member Functions

virtual int | closeDialog (GWEN_DIALOG *dlg)
| FOX16_Gui (FXApp *a)
FXApp * | getApp ()
GWEN_GUI * | getCInterface ()
HTML_FONT * | getFont (const char *fontName, int fontSize, uint32_t fontFlags)
FXWindow * | getGuiWindow (uint32_t id)
virtual int | openDialog (GWEN_DIALOG *dlg, uint32_t guiid)
virtual int | runDialog (GWEN_DIALOG *dlg, int untilEnd)
void | setPasswordDb (GWEN_DB_NODE *dbPasswords, int persistent)
void | setPasswordStore (GWEN_PASSWD_STORE *sto)
| ~FOX16_Gui ()

## Static Public Member Functions

static CPPGUI_API CppGui * | getCppGui ()
static FOX16GUI_API FOX16_Gui * | getFgGui ()
static FOX16GUI_API FXString | getHtmlText (const char *text)
static FOX16GUI_API FXString | getRawText (const char *text)

## Protected Member Functions

void | addWinScope (WinScope *ws)
void | delWinScope (WinScope *ws)
void | dumpScopeList ()
int | execDialog (GWEN_DIALOG *dlg, uint32_t guiid)
HTML_FONT * | findFont (const char *fontName, int fontSize, uint32_t fontFlags)
WinScope * | findWinScope (uint32_t id)
WinScope * | findWinScopeExt (uint32_t id)
int | getFileName (const char *caption, GWEN_GUI_FILENAME_TYPE fnt, uint32_t flags, const char *patterns, GWEN_BUFFER *pathBuffer, uint32_t guiid)
uint32_t | getIdOfLastScope ()
uint32_t | getNextId ()
int | print (const char *docTitle, const char *docType, const char *descr, const char *text, uint32_t guiid)
User Interaction
virtual int | getPassword (uint32_t flags, const char *token, const char *title, const char *text, char *buffer, int minLen, int maxLen, GWEN_GUI_PASSWORD_METHOD methodId, GWEN_DB_NODE *methodParams, uint32_t guiid)
virtual int | setPasswordStatus (const char *token, const char *pin, GWEN_GUI_PASSWORD_STATUS status, uint32_t guiid)
virtual int | checkCert (const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)
virtual int | logHook (const char *logDomain, GWEN_LOGGER_LEVEL priority, const char *s)
int | checkCertBuiltIn (const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)

## Protected Attributes

GWEN_GUI * | _gui
FXApp * | m_app
HTML_FONT_LIST * | m_fontList
uint32_t | m_lastId
WinScopePtrList | m_scopeList
FOX16_GuiUpdater * | m_updater

## Detailed Description

Definition at line 34 of file fox16_gui.hpp.

## Member Typedef Documentation

## WinScopePtrList

typedef std::list<WinScope*> WinScopePtrList

Definition at line 63 of file fox16_gui.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ID_MAINWINDOW |

Definition at line 65 of file fox16_gui.hpp.

## Constructor & Destructor Documentation

## FOX16_Gui()

FOX16_Gui | ( | FXApp * | a | ) |

Referenced by getFgGui().

## ~FOX16_Gui()

~FOX16_Gui | ( |  | ) |

## Member Function Documentation

## addWinScope()

void addWinScope | ( | WinScope * | ws | ) |

protected

## checkCert()

virtual int checkCert | ( | const GWEN_SSLCERTDESCR * | cert,
|  | GWEN_SYNCIO * | sio,
|  | uint32_t | guiid )

protected virtual inherited

## checkCertBuiltIn()

int checkCertBuiltIn | ( | const GWEN_SSLCERTDESCR * | cert,
|  | GWEN_SYNCIO * | sio,
|  | uint32_t | guiid )

protected inherited

## closeDialog()

virtual int closeDialog | ( | GWEN_DIALOG * | dlg | ) |

virtual

Reimplemented from CppGui.

## delWinScope()

void delWinScope | ( | WinScope * | ws | ) |

protected

## dumpScopeList()

void dumpScopeList | ( |  | ) |

protected

## execDialog()

int execDialog | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

protected virtual

Reimplemented from CppGui.

## findFont()

HTML_FONT * findFont | ( | const char * | fontName,
|  | int | fontSize,
|  | uint32_t | fontFlags )

protected

## findWinScope()

WinScope * findWinScope | ( | uint32_t | id | ) |

protected

## findWinScopeExt()

WinScope * findWinScopeExt | ( | uint32_t | id | ) |

protected

## getApp()

FXApp * getApp | ( |  | ) |

inline

Definition at line 72 of file fox16_gui.hpp.

References m_app.

## getCInterface()

GWEN_GUI * getCInterface | ( |  | ) |

inherited

## getCppGui()

CPPGUI_API CppGui * getCppGui | ( |  | ) |

static inherited

References CppGui().

## getFgGui()

FOX16GUI_API FOX16_Gui * getFgGui | ( |  | ) |

static

References FOX16_Gui().

## getFileName()

int getFileName | ( | const char * | caption,
|  | GWEN_GUI_FILENAME_TYPE | fnt,
|  | uint32_t | flags,
|  | const char * | patterns,
|  | GWEN_BUFFER * | pathBuffer,
|  | uint32_t | guiid )

protected virtual

Reimplemented from CppGui.

## getFont()

HTML_FONT * getFont | ( | const char * | fontName,
|  | int | fontSize,
|  | uint32_t | fontFlags )

## getGuiWindow()

FXWindow * getGuiWindow | ( | uint32_t | id | ) |

## getHtmlText()

FOX16GUI_API FXString getHtmlText | ( | const char * | text | ) |

static

## getIdOfLastScope()

uint32_t getIdOfLastScope | ( |  | ) |

protected

## getNextId()

uint32_t getNextId | ( |  | ) |

protected

## getPassword()

virtual int getPassword | ( | uint32_t | flags,
|  | const char * | token,
|  | const char * | title,
|  | const char * | text,
|  | char * | buffer,
|  | int | minLen,
|  | int | maxLen,
|  | GWEN_GUI_PASSWORD_METHOD | methodId,
|  | GWEN_DB_NODE * | methodParams,
|  | uint32_t | guiid )

protected virtual inherited

## getRawText()

FOX16GUI_API FXString getRawText | ( | const char * | text | ) |

static

## logHook()

virtual int logHook | ( | const char * | logDomain,
|  | GWEN_LOGGER_LEVEL | priority,
|  | const char * | s )

protected virtual inherited

## openDialog()

virtual int openDialog | ( | GWEN_DIALOG * | dlg,
|  | uint32_t | guiid )

virtual

Reimplemented from CppGui.

## print()

int print | ( | const char * | docTitle,
|  | const char * | docType,
|  | const char * | descr,
|  | const char * | text,
|  | uint32_t | guiid )

protected virtual

See CppGui_Print

Reimplemented from CppGui.

## runDialog()

virtual int runDialog | ( | GWEN_DIALOG * | dlg,
|  | int | untilEnd )

virtual

Reimplemented from CppGui.

## setPasswordDb()

void setPasswordDb | ( | GWEN_DB_NODE * | dbPasswords,
|  | int | persistent )

inherited

## setPasswordStatus()

virtual int setPasswordStatus | ( | const char * | token,
|  | const char * | pin,
|  | GWEN_GUI_PASSWORD_STATUS | status,
|  | uint32_t | guiid )

protected virtual inherited

## setPasswordStore()

void setPasswordStore | ( | GWEN_PASSWD_STORE * | sto | ) |

inherited

## Field Documentation

## _gui

GWEN_GUI* _gui

protected inherited

Definition at line 67 of file cppgui.hpp.

## m_app

FXApp* m_app

protected

Definition at line 123 of file fox16_gui.hpp.

Referenced by getApp().

## m_fontList

HTML_FONT_LIST* m_fontList

protected

Definition at line 129 of file fox16_gui.hpp.

## m_lastId

uint32_t m_lastId

protected

Definition at line 125 of file fox16_gui.hpp.

## m_scopeList

WinScopePtrList m_scopeList

protected

Definition at line 124 of file fox16_gui.hpp.

## m_updater

FOX16_GuiUpdater* m_updater

protected

Definition at line 127 of file fox16_gui.hpp.

The documentation for this class was generated from the following file:

- fox16_gui.hpp